<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
      xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
      xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output method="xml" indent="yes"/>
<xsl:template match="/data">
		  <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <fo:layout-master-set>
    <fo:simple-page-master master-name="content"
        page-width="297mm" page-height="210mm">
      <fo:region-body/>
    </fo:simple-page-master>
  </fo:layout-master-set>
  <fo:page-sequence master-reference="content" language="ru" font-family="arial">
    <fo:flow flow-name="xsl-region-body">
    	<fo:table display-align="center" table-layout="fixed" width="297mm">
    	<fo:table-column column-width="297mm"/>
    	<fo:table-body>
    	<fo:table-row height="17mm" background-color="#ffffff">
    	<fo:table-cell border="solid" display-align="center" column-number="1">
		                <fo:block text-align="center">Отчет по задачам</fo:block>
		                </fo:table-cell>
    	</fo:table-row>
    	</fo:table-body>
    	</fo:table>
    	<xsl:call-template name="table"/>
   	</fo:flow>
  </fo:page-sequence>
</fo:root>
</xsl:template>

<xsl:template name="table">
<fo:table border="solid" display-align="center" table-layout="fixed" width="297mm">
        <fo:table-column column-width="9mm"/>
        <fo:table-column column-width="20mm"/>
        <fo:table-column column-width="38mm"/>
        <fo:table-column column-width="38mm"/>
        <fo:table-column column-width="38mm"/>
        <fo:table-column column-width="38mm"/>
        <fo:table-column column-width="38mm"/>
        <fo:table-column column-width="38mm"/>
        <fo:table-column column-width="38mm"/>
		<fo:table-body>
		       <fo:table-row height="18mm" background-color="#cccccc" border="1">
		       			<fo:table-cell border="solid" display-align="center" column-number="1">
		                <fo:block text-align="center">№</fo:block>
		                </fo:table-cell>
		                <fo:table-cell border="solid" display-align="center" column-number="2">
		                <fo:block text-align="center">Номер</fo:block>
		                </fo:table-cell>
		                <fo:table-cell border="solid" display-align="center" column-number="3">
		                <fo:block>Тип</fo:block>
		                </fo:table-cell>
		                <fo:table-cell border="solid" display-align="center" column-number="4">
		                <fo:block>Исполнители</fo:block>
		                </fo:table-cell>
		                <fo:table-cell border="solid" display-align="center" column-number="5">
		                <fo:block>Договор</fo:block>
		                </fo:table-cell>
		                <fo:table-cell border="solid" display-align="center" column-number="6">
		                <fo:block>Адрес</fo:block>
		                </fo:table-cell>
		                <fo:table-cell border="solid" display-align="center" column-number="7">
		                <fo:block>ФИО</fo:block>
		                </fo:table-cell>
		                <fo:table-cell border="solid" display-align="center" column-number="8">
		                <fo:block>Телефон</fo:block>
		                </fo:table-cell>
		                <fo:table-cell border="solid" display-align="center" column-number="9">
		                <fo:block>Комментарий</fo:block>
		                </fo:table-cell>
		          </fo:table-row>
     <xsl:for-each select="/data/table/data/row">
         		 <fo:table-row height="35mm" background-color="#ffffff">
		                <fo:table-cell border="solid" display-align="center" column-number="1">
		                <fo:block text-align="center"><xsl:value-of select="position()"/></fo:block>
		                </fo:table-cell>
		                <fo:table-cell border="solid" display-align="center" column-number="2">
		                <fo:block text-align="center"><xsl:value-of select="@id"/></fo:block>
		                </fo:table-cell>
		                <fo:table-cell border="solid" display-align="center" column-number="3">
		                <fo:block><xsl:value-of select="@type"/></fo:block>
		                </fo:table-cell>
		                <fo:table-cell border="solid" display-align="center" column-number="4">
		                <fo:block><xsl:value-of select="@executors"/></fo:block>
		                </fo:table-cell>
		                <fo:table-cell border="solid" display-align="center" column-number="5">
		                <fo:block><xsl:value-of select="@contract"/></fo:block>
		                </fo:table-cell>
		                <fo:table-cell border="solid" display-align="center" column-number="6">
		                <fo:block>ул. <xsl:value-of select="@street"/> 
             	 &#160;<xsl:value-of select="@house"/>
				 , <xsl:value-of select="@flat"/></fo:block>
		                </fo:table-cell>
		                <fo:table-cell border="solid" display-align="center" column-number="7">
		                <fo:block><xsl:value-of select="@fio"/></fo:block>
		                </fo:table-cell>
		                <fo:table-cell border="solid" display-align="center" column-number="8">
		                <fo:block><xsl:value-of select="@phone"/></fo:block>
		                </fo:table-cell>
		                <fo:table-cell border="solid" display-align="center" column-number="9">
		                <fo:block><xsl:value-of select="@comment"/></fo:block>
		                </fo:table-cell>
		          </fo:table-row>
     </xsl:for-each>
     </fo:table-body>       
     </fo:table>
</xsl:template>
</xsl:stylesheet>
